<?php
$sNomeIdJan1 = 'iJan_TbBal_Princ';
$sCorBarraInf = '#E8E3CE';

$sMarca_Balanca = SQLVarConfig('BALANCA_MARCA')+0;
$sSetor_Balanca = STRTOUPPER(SQLVarConfig('BALANCA_SETOR'));
$nPreco_Balanca = SQLVarConfig('BALANCA_PRECO')+0;
$sNomTxt_Balanca = STRTOUPPER(SQLVarConfig('BALANCA_NOMTXT'));
$sPatTxt_Balanca = SQLVarConfig('BALANCA_PATTXT');


If ($sMarca_Balanca ==0) {
	$sMarca_Balanca = '';
} ElseIf ($sMarca_Balanca ==1) {
	$sMarca_Balanca = 'Filizola';
} ElseIf ($sMarca_Balanca ==2) {
	$sMarca_Balanca = 'Toledo';
}

//
//  *** ***
If ( $sSubModulo=="*****" ) {
//
//  ** TELA PRINCIPAL **
} Else {
    // Criar objeto Janela
    $oJanelaPrinc = New R_Janela();
    $oJanelaPrinc->sIdObj  = $sNomeIdJan1; 
    $oJanelaPrinc->nTop    = 40;
    $oJanelaPrinc->nLeft   = 5;
    $oJanelaPrinc->nWidth  = 400;   // Largura
    $oJanelaPrinc->nHeight = 0;     // Altura
	$oJanelaPrinc->nLeft  += ($nTela_W/2)-($oJanelaPrinc->nWidth/2);
    $oJanelaPrinc->sTitulo = 'Exportação para Balança';
	//
	$sJavaTravarJ = "document.getElementById('".$oJanelaPrinc->sIdObj."_Travar').style.visibility='visible'; ";
    //
    // Preparar para exportar
    If ( $sAcao=="IMP_1" ) {
       $sRet_Javs .=
	       "parent.JanEspera(true,'Aguarde... O arquivo está sendo exportado...');".
		   "setTimeout( function () { ".		   
		      "var vff = parent.document.forms.fmBALANCA_R2;".
		      "vff.acao.value='IMP_2'; ".
		      "vff.submit();".
		   "}, 400);".
		   "";
    //
    // Exportar
    } ElseIf ( $sAcao=="IMP_2" ) {
	   //
	   $sMsg_Erro = '';
	   If ( STRLEN($sPatTxt_Balanca)<=0 ) {
	      $sMsg_Erro = 'Exportar arquivo para balança<br>Caminho do path da balança inválido';
	   }
	   If ( STRLEN($sMsg_Erro)==0 ) {
	       $sBalanca = GETCWD().'\\temporarios\\';
		   
		   If ( ! IS_DIR( $sBalanca ) ) {
               MKDIR( $sBalanca );
           }
		   
		   
		   // apaga o arquivo se já existir para criar outro
		   If( $sMarca_Balanca == 'Filizola') {
		     If ( FILE_EXISTS($sBalanca.'CADTXT.TXT') ) {
	            UNLINK($sBalanca.'CADTXT.TXT');
		     }
		     If ( FILE_EXISTS($sBalanca.'SETORTXT.TXT') ) {
	            UNLINK($sBalanca.'SETORTXT.TXT');
		     }
		   
	       } ElseIf( $sMarca_Balanca=='Toledo') {
             If(STRLEN($sNomTxt_Balanca)<=0){
                $sMsg_Erro = 'Nome do TXT da balança inválido <br> na configuração Aba Balança !';
		     } Else {
		        If ( FILE_EXISTS($sBalanca.$sNomTxt_Balanca) ) {
	               UNLINK($sBalanca.$sNomTxt_Balanca);
		        }
			 }
	       }
	   }
	   //
	   If ( STRLEN($sMsg_Erro)==0 ) {
		  $bGrava_Log = False;
		  
		  $sSQLRequest =
	         "SELECT ".
			    "ITE_CODIGOI, ".
				"ITE_DESCRIC, ".
				"ITE_CODIGOL, ".
				"ITE_DESFIL,  ".
				"ITE_PESADO,  ".
				"ITE_TIPFIL,  ".
				"ITE_VALFIL,  ".
				"ITE_PRE_MES_NOR, ".
				"ITE_PRE_BAL_NOR, ".
				"ITE_PRE_ENT_NOR ".
	         "FROM cad_produto ".
			 "WHERE ".
			    "ITE_PESADO=1 ".
	         ";";
			 
			 
		  $nPre_Venda = 0;	
          $sTxt_Bal_01 = '';
          $sTxt_Bal_02 = '';		  		  
		  $i=0;
          $aTxt_Bal= ARRAY();	 
          $Rows_Temp = MYSQL_QUERY($sSQLRequest) or die(MYSQL_ERROR().'<br>'.$sSQLRequest);
          While ($Row_Temp = MYSQL_FETCH_ARRAY($Rows_Temp)) {
	         //
			 If ($nPreco_Balanca==0) {  // balcao
				$nPre_Venda = $Row_Temp['ITE_PRE_BAL_NOR'];
			 } Elseif ($nPreco_Balanca==1) { // mesa
			    $nPre_Venda = $Row_Temp['ITE_PRE_MES_NOR'];
             } Elseif ($nPreco_Balanca==2) {  // disk			  
			    $nPre_Venda = $Row_Temp['ITE_PRE_ENT_NOR'];
			 } Else {
				 $nPre_Venda = $Row_Temp['ITE_PRE_MES_NOR']; // se não tiver balcao ou disk pega sempre o preço de mesa
			 }
			 
			 //VERIFICA SE O PRODUTO ESTA EM PROMOÇÃO
	         $LrP_CodigoI=$Row_Temp['ITE_CODIGOI']; 
			 $nIte_Pre_Promocao = PuxarPrecoPromocional( $LrP_CodigoI );
			 If ( $nIte_Pre_Promocao>=0 && $nPre_Venda==0 ) { 
			    $nPre_Venda=$nIte_Pre_Promocao; 
			 }
			 
			 If (STRLEN($Row_Temp['ITE_CODIGOL'])>0 && STRLEN($Row_Temp['ITE_DESFIL'])>0 && STRLEN($Row_Temp['ITE_TIPFIL'])>0  && $nPre_Venda> 0) {
		        $_Cod_Bar = '0'.Str_Zero( $Row_Temp['ITE_CODIGOL'],5);
				$nPre_Venda = STR_REPLACE(',','',$nPre_Venda);
				$nPre_Venda = STR_REPLACE('.','',$nPre_Venda);
				
				$aBal = ARRAY( 1=>$_Cod_Bar ,
	                           2=>$Row_Temp['ITE_TIPFIL'],
	                           3=>$Row_Temp['ITE_DESFIL'],
	                           4=>$nPre_Venda,
			                   5=>Str_Zero( $Row_Temp['ITE_VALFIL'],3) );
							   
		        $aTxt_Bal[] = $aBal;
			 } Else {
				$bGrava_Log = True;
			    If ( IS_DIR(Url_Site_Path.'log_info') ) {
                   $hInfoArq = FOPEN(Url_Site_Path.'log_info/'.DATE("Y_m_d").'_info.txt','a');
                   FWRITE($hInfoArq,DATE("H:i:s").' EXPBAL(,)'.' - PRODUTO( SEM PREÇO OU DADOS DA BALANÇA INCOMPLETOS):  '.$Row_Temp['ITE_CODIGOL'].'-'.$Row_Temp['ITE_DESCRIC'].CHR(13).CHR(10));
                   FCLOSE($hInfoArq);
                }
			 }
	      }
		  //
          $nQtd = COUNT($aTxt_Bal);
          ForEach ( $aTxt_Bal As $aBal ) {
             $i++;
	         $sPulaLinha = CHR(13).CHR(10);
	         
			 If($sMarca_Balanca == 'Filizola') {
			    $sTxt_Bal_01 .= 
	               $aBal[1].
		           $aBal[2].
		           STR_PAD($aBal[3],22 ).
		           Str_Zero($aBal[4],7).
		           $aBal[5];
		           
                   If ($i<=$nQtd) { 	  
	                  $sTxt_Bal_01.=
	                  $sPulaLinha;
	               }
				   //
				   $sTxt_Bal_02 .= 
	               STR_PAD($sSetor_Balanca, 12).
				   $aBal[1].
		           Str_Zero($i,4).
				   Str_Zero(0,3);
		           
                   If ($i<=$nQtd) { 	  
	                  $sTxt_Bal_02.=
	                  $sPulaLinha;
	               }
				   
             } ElseIf($sMarca_Balanca == 'Toledo') {
			    If ($aBal[2] == 'P'){
					$s_TIPTOL = '0';
				} Else {
					$s_TIPTOL = '1';
				}
                
				If( STRLEN($sSetor_Balanca)>2) {
				   $sMsg_Erro = 'Setor inválido cadastrado para balança toledo';
				}
				
				If ( STRLEN($sMsg_Erro)==0 ) {
				   $sTxt_Bal_01 .= 
				      Str_Zero($sSetor_Balanca,2).
					  '00'.
					  $s_TIPTOL.
					  $aBal[1].
					  Str_Zero($aBal[4],6).
				      $aBal[5].
					  STR_PAD($aBal[3],25 ).
					  STR_PAD('',275 ).
					  '';
				   
                   If ($i<=$nQtd) { 	  
	                  $sTxt_Bal_01.=
	                  $sPulaLinha;
	               }
				
				}
				 
			 }
			 
		  }
		  
		  If($sMarca_Balanca == 'Filizola') {
             
			 If ( STRLEN($sTxt_Bal_01)>0 ) {
			    $sNomArqExpL = $sBalanca.'CADTXT.TXT';
                $sNomArqExpD = $sPatTxt_Balanca.'CADTXT.TXT';
                
				$hInfoArq = FOPEN($sNomArqExpL,"a");
                FWRITE($hInfoArq,$sTxt_Bal_01);
                FCLOSE($hInfoArq);
				
				If ( FILE_EXISTS($sNomArqExpD) ) { UNLINK($sNomArqExpD); }
			    COPY( $sNomArqExpL, $sNomArqExpD );
   	            
             }
			 If ( STRLEN($sTxt_Bal_02)>0 ) {
			    $sNomArqExpL = $sBalanca.'SETORTXT.TXT';
                $sNomArqExpD = $sPatTxt_Balanca.'SETORTXT.TXT';
               
				$hInfoArq = FOPEN($sNomArqExpL,"a");
                FWRITE($hInfoArq,$sTxt_Bal_02);
                FCLOSE($hInfoArq);
                
				If ( FILE_EXISTS($sNomArqExpD) ) { UNLINK($sNomArqExpD); }
			    COPY( $sNomArqExpL, $sNomArqExpD );
			 
			 }
             
		  
		  } ElseIf($sMarca_Balanca == 'Toledo') {		
             If ( STRLEN($sMsg_Erro)==0 ) {
				$sNomArqExpL = $sBalanca.$sNomTxt_Balanca;
                $sNomArqExpD = $sPatTxt_Balanca.$sNomTxt_Balanca;
				//$sRet_JavsPos .= "alert('['+".JAVA_CharCode($sNomArqExpT)."+']');";
				//$sRet_JavsPos .= "alert('['+".JAVA_CharCode($sNomArqExpR)."+']');";
			    If ( STRLEN($sTxt_Bal_01)>0 ) {
			       $hInfoArq = FOPEN($sNomArqExpL,"a");
                   FWRITE($hInfoArq,$sTxt_Bal_01);
                   FCLOSE($hInfoArq);
                }
				
			    If ( FILE_EXISTS($sNomArqExpD) ) { UNLINK($sNomArqExpD); }
			    COPY( $sNomArqExpL, $sNomArqExpD );
				
             }
          } Else {
			  $sMsg_Erro = 'Voçê precisa configurar uma balança<br> na aba balança na configuração do sistema!';
		  }		  
	   }
	   //
       $sRet_Javs .=
	       "parent.JanEspera(false);".
		   "setTimeout( function () { ".		   
		     "var vff = parent.document.forms.fmBALANCA_R;".
		     "vff.acao.value='AT'; ".
		     "vff.submit();".
		   "}, 200);".
		   (STRLEN($sMsg_Erro)>0 ? 
		     Info_Evento($sMsg_Erro,1)
		   :
		     Info_Evento("TXT para ".$sMarca_Balanca." <br> Produtos gerados: ".Str_Zero($nQtd,4). "<br> No Path: ".$sPatTxt_Balanca.''.( $sMarca_Balanca == 'Toledo' ? ''.$sNomTxt_Balanca : 'CADTXT.TXT').( $bGrava_Log ? "<br> Produtos com informações<br>incompletas<br> gravado um log na pasta log_info !" : "" ),0)
		   ).
           "";		   
    //
    // Atualizar
    } ElseIf ( $sAcao=="AT" ) {
	   //
    //
    // FECHAR
    } ElseIf ( $sAcao=="FECHAR" ) {
	   $aSessao['IBPT_ABERTO'] = False;
       $sRet_Javs .=
	      'parent.document.getElementById("dv_MenuL_Barra").style.visibility="visible";'.
	      "parent.RmElem('".$oJanelaPrinc->sIdObj."');".
	      "parent.Car_".$sNomeAcesso."2.location.href='about:blank';".
	      "parent.Car_".$sNomeAcesso."1.location.href='about:blank';".
		  "";
    //
    // JANELA TELA PRINCIPAL
	} Else {
	   $aSessao['IBPT_ABERTO'] = True;
	   //
	   $oJanelaPrinc->sJavOnClickF =
	       "document.forms.fmBALANCA_R.acao.value='FECHAR'; ".
           "document.forms.fmBALANCA_R.submit();";
	   //$oJanelaPrinc->sJavKeyDown = "return Car_".$sNomeAcesso."1.Teclas_F(this,event);";
	   //
       // Tela HTML
       $sRet_TelaJ_HTML =
    	  $oJanelaPrinc->MontaJanHTML(True).
          '<form name="fmBALANCA_R" accept-charset="utf-8" method="post" action="./car_js.php" target="car_'.$sNomeAcesso.'2">'.
           '<input name="mod" type="hidden" value="'.$sModulo.'">'.
           '<input name="submod" type="hidden" value="'.$sSubModulo.'">'.
           '<input name="acao" type="hidden" value="">'.
    	   '<input name="nomeacs" type="hidden" value="'.$sNomeAcesso.'">'.
          '</form>'.
          '<form name="fmBALANCA_R2" enctype="multipart/form-data" accept-charset="utf-8" method="post" action="./car_js.php" target="car_'.$sNomeAcesso.'3">'.
           '<input type="hidden" name="MAX_FILE_SIZE" value="10000000">'.
           '<input name="mod" type="hidden" value="'.$sModulo.'">'.
           '<input name="submod" type="hidden" value="'.$sSubModulo.'">'.
           '<input name="acao" type="hidden" value="">'.
    	   '<input name="nomeacs" type="hidden" value="'.$sNomeAcesso.'">'.
		   '<table>'.
		      '<tr>'.
			     '<td width="4px">&nbsp;</td>'.
                 '<td align="right" style="font-size:14px;">'.
                    'Balança '.
                    '&nbsp;&nbsp;'.
			     '</td>'.
			     '<td height="28px" align="left">'.
                    '<select name="BALANCA_MARCA" style="font-size:14px;">'.
                       '<option value="1">'.$sMarca_Balanca.' - '.( STRLEN($sSetor_Balanca)>0 ? $sSetor_Balanca : '' ).'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;    </option>'.
                       //'<option value='.$RowT_CadCus->CUS_CODIGOI.'" '.($RowT_CadCus->CUS_CODIGOI==(@$Row_CadCus['CUS_CODIGO']+0) ? 'selected' : '').'>'.$RowT_CadCus->CUS_CREDEB.'</option>';
                    '</select>'.
                 '</td>'.
              '</tr>'.
			  '<tr>'.
			    '<td width="4px">&nbsp;</td>'.
                 '<td align="right" style="font-size:14px;">'.
                    'Path configurado : '.
					'&nbsp;&nbsp;'.
				 '</td>'.
				 '<td height="28px" align="left">'.
					'<span style="font-size:14px;color:#FF0000;">'.
					   $sPatTxt_Balanca.
                   '</span>'.
				'</td>'.
			  '</tr>'.
		   '</table>'.
		    //
		  // '<div id="Q_ExpBal" style="visibility:hidden;width:100%; height:180px; background:#FFFFFF; border-style:solid; border-width:1px; border-color:#CCCCCC; overflow:auto;" >'.
          //    '<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">'.
          //       '<tr>'.              
          //          '<td align="center" valign="middle" style="color:#555555;">'.
          //             'Aguarde um momento...<br>'.
          //             '<img src="images/img_load1.gif" border="0">'.
          //          '</td>'.           
          //       '</tr>'.             
          //    '</table>'.             
          // '</div>'.                 
		   '<div style="height:2px;"></div>'.
		  
		  //
		  '</form>'.
		  //
          '<table width="100%" style="background-color:'.$sCorBarraInf.';"></tr>'.
           '<td width="4px" height="40px">&nbsp;</td>'.
           '<td align="left">'.
            HTML_Botao( 3, 'objIBPT_BT_Imp', "var vff = document.forms.fmBALANCA_R;".
		                                       "vff.acao.value='IMP_1'; ".
                                               "vff.submit();".
											   //$sJavaTravarJ.
											   ""
                         , 'Exportar' ,'images/btimg_bd_add.png').
		   '</td>'.
           '<td align="right">'.
            HTML_Botao( 3, 'objIBPT_BT_Fch', $oJanelaPrinc->sJavOnClickF
                         , 'Sair' ,'images/btimg_fechar.png').		    
		   '</td>'.
           '<td width="4px">&nbsp;</td>'.
		   '</tr></table>'.		   
		  //
     	  $oJanelaPrinc->MontaJanHTML(False);
       //
	   // Java anterior
       $sRet_Javs .=
	      'parent.document.getElementById("dv_MenuL_Barra").style.visibility="hidden";'.
	      "";
       // Java posterior
       $sRet_JavsPos .=
          "var vff = parent.document.forms.fmBALANCA_R;".
          "vff.acao.value='AT'; ".
          "vff.submit();".
	      "";
    }
}
//
?>